package com.jobs.config;

import io.minio.MinioClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MinioConfig {

    @Value("${minio.accesskey}")
    private String accessKey;

    @Value("${minio.secretkey}")
    private String secretKey;

    @Value("${minio.endpoint}")
    private String endPoint;

    @Bean
    public MinioClient buildMinioClient() {
        return MinioClient.builder()
                .credentials(accessKey, secretKey).endpoint(endPoint).build();
    }
}
